Subject: [Autoconf] Alex's issues

From: Jari Arkko <[email-masked]>
Date: Fri, 23 Nov 2007 15:37:33 +0200

Alex,

> But then, looking at section 5.1 General Address Architecture:
> -I can't parse the figure: where are the interfaces precisely?  Is the
>  loopback assigned P:1::/64?

As I just read the document, this was clear to me at least.

> -"MANET interfaces are specifically *NOT* configured with this prefix.":
>  which prefix?  The previous paragraph mentions at least two prefixes.

I agree that this is a bug, and will suggest text in my later AD review
e-mail.

> -what's the difference between "assigned" and "delegated" prefix?  The
>  picture seems to make a distinction, but I don't understand.

General terminology. You may be delegated a prefix, but only after
you assign a prefix to an interface it becomes actually usable. Before
that it is simply something that the requesting router has, not
something that packets can be delivered to.

> Also, the paragraph should also let the MANET Router have completely
> different prefixes on their interfaces.  Currently, the paragraph says
> that there should be (eg) a common P::/62 out of which (eg) P:1::/64
> and P:2::/64 are assigned on two different interfaces.  This is an
> example ok.  But there should also be a possibility of eg Q::/64 and
> R::/64  on two different interfaces, Q and R having only the first
> three bits common (001), and without needing to have 001::/64
> "delegated" to the MANET router.

Yes, there should be a possibility. The current text allows that:

  A MANET router can be delegated zero or more prefixes.  For example,
   if a MANET router is delegated a prefix p::, then subnet prefixes
   derived from this prefix (e.g, p:1::/64, p:2::/64, ...)

> I've just raised yesterday an issue about multicast interpretation
> confusion between manetarch and problem statement documents.  HAs that
> been solved already?  A decision made?  The issue is here, and the
> following thread keeps the subject:
> http://www1.ietf.org/mail-archive/web/autoconf/current/msg00771.html
>
> Was there a decision made with respect to this issue?  It seems like
> the confusing issue around multicast that I've raised is completely
> ignored?? 

I tend to agree with Ronald and Emmanuel on this. For me it
was clear that the manetarch definition only talks about *neighbors*
not *subnet*.

I do not see a need to change the manetarch document, though
certainly -statement needs work.

>>    Semi-Broadcast Interface (SBI)
>>       A broadcast capable interface that may exhibit asymmetric
>>       reachability.  Multiple access wireless radio interfaces are often
>>       SBI.  Note that since a SBI *may* exhibit asymmetric reachability,
>>       it also may not.
>
> Please explain more what a SBI interface is.  If this SBI comes from a
> wifi experience please explain in wifi terms.  The 802.11/wifi
> standards and implementation don't use this term, so I'm really
> confused by this term altogether.
>
> Please explain how asymmetric reachability matches UDLR concepts.
>
> Please explain what "Multiple access wireless radio interfaces" mean:
> a interface connected to multiple radios?  Or several types of
> interfaces?
>
> Please explain what asymmetric means in terms of asymmetric bandwidth,
> asymmetric MTU, asymmetric fragmentation; like when we talk ADSL or PMTU.

Some of the terms that you are asking for are well known, e.g.,
multiple access. Asymmetric reachability has been defined
earlier in the document.

I don't think specific link layer definitions are useful here. The
definition needs to be based on fundamental concepts.

That being said, I have some suggestions on improving
this definition. More on this later.

>> 4.2.1.  Semi-Broadcast Interface
>>
>>    Given a wireless SBI that exhibits time-varying asymmetric
>>    reachability and spatially distributed MANET routers, each MANET
>>    router may have a different unique partial view of the MANET.
>
> Please explain what "time-varying asymmetric reachability and
> spatially distributed MANET routers mean".

Seemed clear to me... The set of other nodes reached
by a broadcast message is different for different
senders and may also vary with time.

Jari

_______________________________________________
Autoconf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/autoconf